## ros-indigo-cob-sick-s300 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_sick_s300)

find_package(catkin REQUIRED COMPONENTS diagnostic_msgs roscpp sensor_msgs std_msgs)

find_package(Boost REQUIRED COMPONENTS date_time thread)

catkin_package()

### BUILD ###
include_directories(
  common/include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}
  common/src/ScannerSickS300.cpp
  common/src/SerialIO.cpp
  ros/src/${PROJECT_NAME}.cpp
)

add_executable(cob_scan_filter ros/src/cob_scan_filter.cpp)

add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
add_dependencies(cob_scan_filter ${catkin_EXPORTED_TARGETS})

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_link_libraries(cob_scan_filter ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME} cob_scan_filter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY ros/test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-sick-s300 (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #377 <https://github.com/ipa320/cob_driver/issues/377> from fmessmer/fix_sicks300_rate
    remove faulty publish_rate mechanism
  * remove faulty publish_rate mechanism
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #358 <https://github.com/ipa320/cob_driver/issues/358> from ipa-jba/fix/s300-max-range
    [cob_sick_s300] adjust range_max
  * Merge pull request #357 <https://github.com/ipa320/cob_driver/issues/357> from ipa-jba/fix/remove-dead-code
    [cob_sick_s300] remove dead code
  * remove dead code
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * cob_sick_s300: adjust range_max
  * Contributors: Felix Messmer, ipa-fxm, ipa-mig, ipa-uhr-mk

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.10-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.9-0trusty) trusty; urgency=high

  * [cob_sick_s300] fix typo in Readme
  * cob_sick_s300: clarify some points about the measurement range fields in the readme
  * cob_sick_s300: add readme
  * cob_sick_s300: remove debug print out
  * cob_sick_s300: properly get offsets and add corresponding docu to source code
  * cob_sick_s300: comment warning about field parameters --> this is currently buggy, old version works better
  * cob_sick_s300: move telegram description to telegram parser file
  * cob_sick_s300: clarify telegram calculation according to telegram listing
  * manually fix changelog
  * Contributors: Matthias Gruhler, ipa-fxm, ipa-mig

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.8-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.7-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.6-0trusty) trusty; urgency=high

  * replace spaces by tab
  * add try/catch to handle XmlRpc exceptions
  * add time stamp to sick s300 diagnostic messages
  * adjust filter topics
  * Contributors: Frederik Hegger, ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.5-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.4-0trusty) trusty; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * catkin_package according to install tags
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.3-0trusty) trusty; urgency=high

  * cob_sick_s300: fix check for standby and only check for correct value
  * cob_sick_s300: handle scanner in standby; publish std_msgs::Bool indicating status
  * do not use private NodeHandle
  * Contributors: ipa-fxm, ipa-mig

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.2-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.1-0trusty) trusty; urgency=high

  * undo
  * Contributors: ipa-cob4-2

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.6.0-0trusty) trusty; urgency=high



 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * remove warnings
  * Update cob_sick_s300.cpp
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * enabled raw reading (for intensity)
  * Update package.xml
  * fixed cpu load issue
  * fixed time stamp issue (s300)
  * merge
  * small fix
  * fix
  * debug
  * fix
  * ignoring addr.
  * output
  * test files
  * adaptation + parameter parsing
  * now blocking
  * parameteres for different fields
  * includes
  * moved telegram definition
  * rmoved Bride files
  * fixed offset & debug output
  * added debug flag
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Your full name, cob4-1, ipa-cob4-1, ipa-josh

 -- Joshua Hampp <joshua.hampp@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-sick-s300 (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * remove warnings
  * Update cob_sick_s300.cpp
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * enabled raw reading (for intensity)
  * Update package.xml
  * fixed cpu load issue
  * fixed time stamp issue (s300)
  * merge
  * small fix
  * fix
  * debug
  * fix
  * ignoring addr.


=== debian/control ===
Source: ros-indigo-cob-sick-s300
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/cob_sick_s300
Standards-Version: 3.9.2

Package: ros-indigo-cob-sick-s300
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-diagnostic-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: This package published a laser scan message out of a Sick S300 laser scanner.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-sick-s300//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
